> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Whitelist Addresses

> listWhitelistAddresses - This endpoint retrieves whitelist addresses.



## OpenAPI

````yaml GET /api/v1/tracker/address/whitelist
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist and whitelist
paths:
  /api/v1/tracker/address/whitelist:
    get:
      tags:
        - Address Management
      summary: Retrieve Whitelist Addresses
      description: listWhitelistAddresses - This endpoint retrieves whitelist addresses.
      parameters:
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            default: 10
            description: The page size
          description: The page size, default is 10
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            description: The page number
          description: The page number, default is 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhitelistGetResponse'
              example:
                success: true
                code: 1
                status: SUCCESS
                data:
                  - chain: ethereum
                    address: '0x721bc1633350f86fd88b9e2cde1688a20929bddd'
                    createdAt: 1776325813
                pagination:
                  current_page: 1
                  per_page: 10
                  total_pages: 1
                  total_items: 1
                msg: SUCCESS
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    WhitelistGetResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/WhitelistAddressItem'
            pagination:
              $ref: '#/components/schemas/Pagination'
            status:
              type: string
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    WhitelistAddressItem:
      type: object
      properties:
        network:
          $ref: '#/components/schemas/Network'
          type: string
          description: The blockchain network
          example: ethereum
        address:
          type: string
          description: The blockchain address
          example: '0x721bc1633350f86fd88b9e2cde1688a20929bddd'
        createdAt:
          type: integer
          format: int64
          description: unix timestamp
          example: 1776325813
    Pagination:
      type: object
      properties:
        current_page:
          type: integer
          description: The current page number
        per_page:
          type: integer
          description: The number of items per page
        total_pages:
          type: integer
          description: The total number of pages
        total_items:
          type: integer
          description: The total number of items
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
    Network:
      type: string
      enum:
        - ethereum
        - eth
        - tron
        - btc
        - bsc
        - polygon
        - arbitrum
        - optimism
        - avalanche
        - base
        - zksync
        - merlin
        - kaia
        - iotex
        - ftm
        - theta
        - etc
        - lumia
        - solana
        - doge
        - ltc
      description: Supported blockchain networks
  responses:
    BadRequest:
      description: Bad Request - Your request is invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````